Compiling pygplates on WSL Debian

I ran into a strange set of issues when trying to compile pygplates on the Windows Subsystem for Linux (WSL). Despite having all the requirements installed (e.g. Qt5, Boost etc). the compiler complained about Qt5 libraries not being present:

/usr/lib/qt5/bin/uic: error while loading shared libraries: libQt5Core.so.5: cannot open shared object file: No such file or directory

However, these are installed in /usr/lib/x86_64-linux-gnu/ like in any other Linux distro. Turns out that some other people have the same issues to load the shared Qt5 libraries when compiling software on WSL. This is solved by running the following line:

sudo strip --remove-section=.note.ABI-tag /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

Discussion

Enter your comment. Wiki syntax is allowed:
T V W B O